Foxit PDF SDK

Static Public Member Functions | List of all members
foxit::pdf::SplitPDFDoc Class Reference
Inheritance diagram for foxit::pdf::SplitPDFDoc:

## Static Public Member Functions
static common::Progressive | StartSplitByFileSize (float max_file_size, const SplitOutputSettingData &setting_data, const SplitDocumentInfoArray &split_doc_array, SplitPDFDocCallback *split_callback=0)
| Start to split the PDF document into multiple PDF documents. More...

## Additional Inherited Members
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Detailed Description

This class can be used to split a PDF document into multiple PDF documents.

See also
  PDFDoc

## Member Function Documentation

## ◆ StartSplitByFileSize()

static common::Progressive foxit::pdf::SplitPDFDoc::StartSplitByFileSize | ( | float | max_file_size,
|  | const SplitOutputSettingData & | setting_data,
|  | const SplitDocumentInfoArray & | split_doc_array,
|  | SplitPDFDocCallback * | split_callback = `0`
| ) |  |
| static

Start to split the PDF document into multiple PDF documents.

This function can be used to batch process multiple documents.
The specific information of the PDF documents after splitting will be returned in the callback function SplitPDFDocCallback::ResultNotify.

Parameters

  [in] | max_file_size | The maximum file size of the PDF document generated by splitting (unit is Megabytes). If the file size of the PDF document to be split is smaller than the value of this parameter, the PDF document cannot be split and status SplitFileResult::e_SplitFileErrSizeTooSmall will be returned. The lower limit of this parameter's value is 0.5 Megabytes.
  [in] | setting_data | Setting data used for splitting.
  [in] | split_doc_array | An array of PDF documents to be split. The size of this array should be greater than 0.
  [in] | split_callback | A SplitPDFDocCallback object which is implemented by user to pause and notify the splitting progress during the splitting process, as well as to notify the result of the split. This can be NULL which means not to pause and notify the splitting progress. If this is not NULL, it should be a valid SplitPDFDocCallback object implemented by user. Default value: NULL.

Returns
  A progressive object. Please check the rate of current progress by function common::Progressive::GetRateOfProgress. If the rate is not 100 yet, call function common::Progressive::Continue to continue the progress until the progress is finished.